Skip to navigation

Update BoxSchema

Beta
Update BoxSchema.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

box_schema_idstringRequired
ID of the BoxSchema.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Request

This endpoint expects an object.
archiveReasonstringOptional
archivedbooleanOptional
containerSchemaIdstring or nullOptional
The API ID of the container schema constraining what types of containers can be stored in boxes of this type.
descriptionstringOptional
Updated description. When provided, must be at most 1000 characters.
heightintegerOptional
The number of rows in the grid layout.
namestringOptional

Updated user-facing name. When provided, must be non-empty after stripping whitespace, at most 255 characters, and unique within the organization.

prefixstringOptional

The prefix used for auto-generating barcodes for inventory items of this schema. Must be unique within the registry and cannot end in a digit.

systemNamestringOptional

Updated SQL identifier for the warehouse table name. When provided, must match the pattern [a-z_][a-z0-9_$]*, cannot be a reserved table name, cannot start with ‘bnch$’, and must be unique within the organization.

widthintegerOptional
The number of columns in the grid layout.
displayNamestringOptionalDeprecated
Deprecated. Use name instead.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
containerSchemaobject or nullOptional
createdAtstring or nullOptional
descriptionstringOptional
A description of the schema.
fieldDefinitionsstringOptionalformat: "uri"
heightinteger or nullOptional
idstringOptional
modifiedAtstring or nullOptional
namestringOptional
prefixstring or nullOptional
registryobject or nullOptional
systemNamestringOptional
A unique, stable identifier for this schema used for programmatic access and integrations.
typestring or nullOptional
widthinteger or nullOptional

Errors

400
Box Schema Update Request Bad Request Error
403
Box Schema Update Request Forbidden Error
404
Box Schema Update Request Not Found Error
409
Box Schema Update Request Conflict Error
429
Box Schema Update Request Too Many Requests Error
500
Box Schema Update Request Internal Server Error